package com.neusoft.smart.pos.utils;

import com.neusoft.smart.pos.framework.utils.RedisUtils;
import com.neusoft.smart.pos.redis.bean.UserInfo;

public class UserCacheUtils {
    private UserCacheUtils() {
    }

    public static UserInfo getUserInfo(String username) {
        return (UserInfo) RedisUtils.getRedisValue(username);
    }

    public static void updateUserInfo(UserInfo userInfo) {
        RedisUtils.saveRedisValue(userInfo.getUserName(), userInfo);
    }
}
